------------------------------------------------
--                 DagAssist                  --
--             Dagos of Cenarius              --
------------------------------------------------

if (not DagAssist) then
	DagAssist = {};
end

--------------------------------------------------
-- To find a spell or item ID, use Wowhead.  Look up the item or spell and the check the URL for the ID
-- TelePort:Ironforge = http://www.wowhead.com/?spell=3562
-- ID = 3562
--------------------------------------------------

DagAssist.MenuList = {

	-----------
	--CLASS ABILITIES--
	-----------
	
	--WARRIOR
		{["text"] = CLASS,	["type"] = "header"},
		
	--DEATHKNIGHT
		{["text"] = CLASS,	["type"] = "header"},
		{["type"] = "spell", ["id"] = 50977}, --Death Gate
		{["type"] = "spell", ["id"] = 53428}, --Runeforging
		
	--PALADIN
		{["text"] = CLASS,	["type"] = "header"},
		{["type"] = "spell", ["id"] = 19746}, --Concentration Aura
		{["type"] = "spell", ["id"] = 32223}, --Crusader Aura
		{["type"] = "spell", ["id"] = 465}, --Devotion Aura
		{["type"] = "spell", ["id"] = 19891}, --Fire Resistance Aura
		{["type"] = "spell", ["id"] = 19888}, --Frost Resistance Aura
		{["type"] = "spell", ["id"] = 7294}, --Retribution Aura
		{["type"] = "spell", ["id"] = 19876}, --Shadow Resistance Aura
		{["type"] = "spell", ["id"] = 5502}, --Sense Undead
	
	--PRIEST
		{["text"] = CLASS,	["type"] = "header"},
		
	--SHAMAN
		{["text"] = CLASS,	["type"] = "header"},
		{["type"] = "spell", ["id"] = 556}, --Astral Recall
		{["type"] = "spell", ["id"] = 6196}, --Far Sight

	--DRUID
		{["text"] = CLASS,	["type"] = "header"},
		{["type"] = "spell", ["id"] = 18960}, --Teleport: Moonglade
		--{["type"] = "spell", ["id"] = 5225}, --Track Humanoids
	
	--ROGUE
		{["text"] = CLASS,	["type"] = "header"},
		{["type"] = "spell", ["id"] = 1804}, --Pick Lock
	
	--MAGE
		--Teleports
		{["text"] = "", ["type"] = "header", ["reagent"] = 17031},
		{["type"] = "spell", ["id"] = 53140}, --Teleport: Dalaran
		{["type"] = "spell", ["id"] = 3565}, --Teleport: Darnassus
		{["type"] = "spell", ["id"] = 32271}, --Teleport: Exodar
		{["type"] = "spell", ["id"] = 3562}, --Teleport: Ironforge
		{["type"] = "spell", ["id"] = 3567}, --Teleport: Orgrimmar
		{["type"] = "spell", ["id"] = 33690}, --Teleport: Shattrath
		{["type"] = "spell", ["id"] = 32272}, --Teleport: Silvermoon
		{["type"] = "spell", ["id"] = 49358}, --Teleport: Stonard
		{["type"] = "spell", ["id"] = 3561}, --Teleport: Stormwind
		{["type"] = "spell", ["id"] = 49359}, --Teleport: Theramore
		{["type"] = "spell", ["id"] = 3566}, --Teleport: Thunder Bluff
		{["type"] = "spell", ["id"] = 3563}, --Teleport: Undercity
		
		--Portals
		{["text"] = "", ["type"] = "header", ["reagent"] = 17032},
		{["type"] = "spell", ["id"] = 53142}, --Portal: Dalaran
		{["type"] = "spell", ["id"] = 11419}, --Portal: Darnassus
		{["type"] = "spell", ["id"] = 32266}, --Portal: Exodar
		{["type"] = "spell", ["id"] = 11416}, --Portal: Ironforge
		{["type"] = "spell", ["id"] = 11417}, --Portal: Orgrimmar
		{["type"] = "spell", ["id"] = 33691}, --Portal: Shattrath
		{["type"] = "spell", ["id"] = 32267}, --Portal: Silvermoon
		{["type"] = "spell", ["id"] = 49361}, --Portal: Stonard
		{["type"] = "spell", ["id"] = 10059}, --Portal: Stormwind
		{["type"] = "spell", ["id"] = 49360}, --Portal: Theramore
		{["type"] = "spell", ["id"] = 11420}, --Portal: Thunder Bluff
		{["type"] = "spell", ["id"] = 11418}, --Portal: Undercity
	
	--WARLOCK
		{["text"] = CLASS,	["type"] = "header"},
		{["type"] = "spell", ["id"] = 126}, --Eye of Kilrogg
		{["type"] = "spell", ["id"] = 5500}, --Sense Demons
		{["type"] = "spell", ["id"] = 688}, --Summon Imp
	
		--Soul shards
		{["text"] = "", ["type"] = "header", ["reagent"] = 6265},
		{["type"] = "spell", ["id"] = 6366}, --Create Firestone
		{["type"] = "spell", ["id"] = 6201}, --Create Healthstone
		{["type"] = "spell", ["id"] = 2362}, --Create Spellstone
		{["type"] = "spell", ["id"] = 47884}, --Create Soulstone
		{["type"] = "spell", ["id"] = 29893}, --Ritual of Souls
		{["type"] = "spell", ["id"] = 698}, --Ritual of Summoning
		{["type"] = "spell", ["id"] = 691}, --Summon Felhunter
		{["type"] = "spell", ["id"] = 30146}, --Summon Felguard
		{["type"] = "spell", ["id"] = 712}, --Summon Succubus
		{["type"] = "spell", ["id"] = 697}, --Summon Voidwalker
	
	--HUNTER
		{["text"] = CLASS,	["type"] = "header"},
		{["type"] = "spell", ["id"] = 13161}, --Aspect of the Beast
		{["type"] = "spell", ["id"] = 5118}, --Aspect of the Cheetah
		{["type"] = "spell", ["id"] = 61846}, --Aspect of the Dragonhawk
		{["type"] = "spell", ["id"] = 13165}, --Aspect of the Hawk
		{["type"] = "spell", ["id"] = 13163}, --Aspect of the Monkey
		{["type"] = "spell", ["id"] = 13159}, --Aspect of the Pack
		{["type"] = "spell", ["id"] = 34074}, --Aspect of the Viper
		{["type"] = "spell", ["id"] = 20043}, --Aspect of the Wild

		{["type"] = "spell", ["id"] = 1494}, --Track Beasts
		{["type"] = "spell", ["id"] = 19878}, --Track Demons
		{["type"] = "spell", ["id"] = 19879}, --Track Dragonkin
		{["type"] = "spell", ["id"] = 19880}, --Track Elementals
		{["type"] = "spell", ["id"] = 19882}, --Track Giants
		{["type"] = "spell", ["id"] = 19885}, --Track Hidden
		{["type"] = "spell", ["id"] = 19883}, --Track Humanoids (maybe redundant, it will be covered by the druid spell?)
		{["type"] = "spell", ["id"] = 19884}, --Track Undead
		
	-----------
	--RACIALS--
	-----------

	--DRAENEI
		
	--DWARF
		{["text"] = RACE, ["type"] = "header"},	
		{["type"] = "spell", ["id"] = 2481}, --Find Treasure

	--GNOME
	
	--HUMAN
	
	--NIGHT ELF
	
	--BLOOD ELF
	
	--ORC
	
	--TAUREN
	
	--TROLL
	
	--UNDEAD
	

	
	-----------
	--PROFESSIONS--
	{["text"] = TRADE_SKILLS, ["type"] = "header"},
	-----------
	
	--ALCHEMY
		{["type"] = "spell", ["id"] = 2259}, --Alchemy
		{["type"] = "spell", ["id"] = 28677}, --Elixer Master
		{["type"] = "spell", ["id"] = 28675}, --Potion Master
		{["type"] = "spell", ["id"] = 28672}, --Transmutation Master

	--BLACKSMITHING
		{["type"] = "spell", ["id"] = 2018}, --Blacksmithing
		{["type"] = "spell", ["id"] = 9788}, --Armorsmithing
		{["type"] = "spell", ["id"] = 17041}, --Master Axesmith
		{["type"] = "spell", ["id"] = 17040}, --Master Hammersmith
		{["type"] = "spell", ["id"] = 17039}, --Master Swordsmith
	
	--COOKING
		{["type"] = "spell", ["id"] = 2550}, --Cooking
		{["type"] = "spell", ["id"] = 818}, --Basic Campfire
	
	--ENCHANTING
		{["type"] = "spell", ["id"] = 7411}, --Enchanting
		{["type"] = "spell", ["id"] = 13262}, --Disenchant
	
	--ENGINEERING
		{["type"] = "spell", ["id"] = 4036}, --Engineering
		{["type"] = "spell", ["id"] = 20219}, --Gnomish Engineer
		{["type"] = "spell", ["id"] = 20222}, --Goblin Engineer
		{["type"] = "spell", ["id"] = 56273}, --Wormhole: Gadgetzan
	
	--FIRST AID
		{["type"] = "spell", ["id"] = 3273}, --First Aid
	
	--FISHING
		{["type"] = "spell", ["id"] = 7620}, --Fishing
	
	--HERBALISM
		{["type"] = "spell", ["id"] = 2383}, --Find Herbs
	
	--INSCRIPTION
		{["type"] = "spell", ["id"] = 45357}, --Inscription
		{["type"] = "spell", ["id"] = 51005}, --Milling
		{["type"] = "spell", ["id"] = 52175}, --Decipher
	
	--JEWELCRAFTING
		{["type"] = "spell", ["id"] = 25229}, --Jewelcrafting
		{["type"] = "spell", ["id"] = 31252}, --Prospecting
	
	--LEATHERWORKING
		{["type"] = "spell", ["id"] = 2108}, --Leatherworking
	
	--MINING
		{["type"] = "spell", ["id"] = 2580}, --Find Minerals
		{["type"] = "spell", ["id"] = 2656}, --Smelting
	
	--SKINNING
	
	--TAILORING
		{["type"] = "spell", ["id"] = 3908}, --Tailoring
		
	-----------
	--HEARTHSTONE--
	{["text"] = HOME, ["type"] = "header"},
	-----------
		{["text"] = HOME, ["type"] = "item", ["hearthstone"] = true, ["id"] = 6948},
	
	{["type"] = "spacer"}
	
};
